Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-23191

[REG 4.9 -> 4.10] Unable to change compiler for kit

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Done
    • Affects Version/s: Qt Creator 4.10.0, Qt Creator 4.10.1, Qt Creator 4.10.2, Qt Creator 4.11.0-rc1
    • Labels:
      None
    • Environment:
      Linux/X11, QtCreator installed from official installed and from repository.
    • Platform/s:
      Linux/X11
    • Commits:
      9feabb7ba326a77dd06af654a1f70b8345a74a4d (qt-creator/qt-creator/master)

      Description

      Steps to reproduce:

      • run QtCreator 4.10.x,
      • open Tools->Options->Kits->Kits,
      • add a new Kit,
      • select Clang compiler (or whatever which is not default GCC choice) for C and C++,
      • press OK,
      • close QtCreator,
      • open QtCreator again,
      • the compiler choice is not stored, GCC is chosen.

       

      Works properly on QtCreator 4.9.2.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              kandeler Christian Kandeler
              Reporter:
              zaps166 Błażej Szczygieł
            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes